﻿@model IEnumerable<Schedule.Application.ViewModel.UsuarioViewModel>
@*<head>
        <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
        <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
        <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
        <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>

    </head>*@

<head>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/lib/Mask/jquery.mask.min.js"></script>


    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/dataRender/datetime.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.3.4/js/dataTables.select.min.js"></script>
    <script src="https://cdn.datatables.net/datetime/1.1.2/js/dataTables.dateTime.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.print.min.js"></script>
</head>

<div class="card shadow mb-4">
    <div class="card-header py-3">
        <h5 class="m-0 font-weight-bold ">Relatório de Disponibilidade </h5>
        <br />
        <div>

            


            <div class="row">
                <div class="form-group col-sm-2">
                    <label>Empresa</label>
                    <select class="form-control" id="ListaEmpresas" multiple="multiple" name="ListaEmpresas">
                        @if (ViewBag.ListaEmpresa != null)
                        {
                            foreach (var item in ViewBag.ListaEmpresa)
                            {
                                @*if (ViewBag.SelecionaConsultor != null && ViewBag.SelecionaConsultor == true)
                        {
                            <option value="@item.id" selected="selected"> @item.Nome </option>
                        }
                        else
                        {*@
                                <option value="@item.id"> @item.Nome </option>
                                //}
                            }
                        }
                    </select>
                </div>
                <div class="form-group col-sm-2">
                    <label>Data Inicial</label>
                    <input type="text" autocomplete="off" id="dataInicial" name="dataInicial" class="form-control" />
                </div>
                <div class="form-group col-sm-2">
                    <label>Data Final</label>
                    <input type="text" autocomplete="off" id="dataFinal" name="dataFinal" class="form-control" />
                </div>


                <div class="form-group col-sm-2">
                    <label>Consultor</label>
                    <select class="form-control" id="ListaConsultores" multiple="multiple" name="ListaConsultores">
                        @if (ViewBag.ListaConsultores != null)
                        {
                            foreach (var item in ViewBag.ListaConsultores)
                            {
                                if (ViewBag.SelecionaConsultor != null && ViewBag.SelecionaConsultor == true)
                                {
                                    <option value="@item.id" selected="selected"> @item.Nome </option>
                                }
                                else
                                {
                                    <option value="@item.id"> @item.Nome </option>
                                }
                            }
                        }
                    </select>
                </div>

                <div class="form-group col-sm-2">
                    <label>Especialidade</label>
                    <select class="form-control" id="ListaEspecialidades" multiple="multiple" name="ListaEspecialidades">
                        @if (ViewBag.ListaEspecialidades != null)

                            foreach (var item in ViewBag.ListaEspecialidades)
                            {
                                <option class="teste" value="@item.id"> @item.DescricaoEspecialidade </option>
                            }
                    </select>
                </div>

                <div class="form-group col-sm-1">
                    <label>&nbsp</label><br />
                    <button class="btn btn-primary form-control" id="btnPesquisar">Pesquisar</button>
                </div>

                <div class="form-group col-sm-1">
                    <label>&nbsp</label><br />
                    <button class="btn btn-primary form-control" id="btnExport"> Exportar </button>
                </div>
            </div>



        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-body">
                <style>
                    .dt-buttons{
                        display: contents
                    }

                    .btn-light {
                        color: #212529;
                        background-color: #f8f9fa;
                        border-color: #aaa;
                        margin-left: 5px;
                    }
                </style>
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">Simplicado</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">Avançado</a>
                    </li>
                </ul>

            <div class="tab-content" id="myTabContent">               
                <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <div style="overflow:scroll ">
                        <table id="tbListaDisponibilidade" class="table  table-bordered tabelaListaSchedule table-">
                            <thead>
                                <tr>
                                    <th>Empresa</th>
                                    <th>Nome</th>
                                    <th>Senioridade</th>
                                    <th>Contratação</th>
                                    <th>Gestor Imediato</th>
                                    <th>Email</th>
                                    <th>Início do contrato</th>
                                    <th>Fim do contrato</th>
                                    <th>Especialidade</th>
                                    <th>Horas Disponíveis</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                   
                    <div style="overflow:scroll ">
                        <table id="tbRelatorioAvancado" class="table  table-bordered tabelaListaSchedule table-">
                            <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th id="labelDatas">Datas do Período</th>
                                </tr>
                                <tr style="font-size:14px" id="cabecalhoInferior" class="cabacalhoDatas">
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                        <style>
                            .diaNaoUtil {
                                background-color: #D3D3D3;
                            }

                            .cabacalhoDatas {
                                text-align: center;
                                font-size: 12px;
                                white-space: nowrap
                            }

                            tbody {
                                font-size: 12.5px;
                            }

                            #labelDatas {
                                text-align: center;
                            }

                            .center {
                                text-align: center;
                            }
                        </style>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
</div>
<script src="~/lib/jqueryui/jquery-ui.js"></script>
<script src="~/lib/Mask/jquery.mask.min.js"></script>

<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/RelatorioDisponibilidade.js")"></script>



